
Redmine - Defect #37053

Attachments are lost when the status of the ticket is changed

2022-04-28 07:45 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 5.0.1   

Resolution: Fixed Affected version: 5.0.0

Description

From #36909#note-2:

Steps to reproduce:

1. Edit ticket

2. Select a file to attach

3. The file appears at Files section

4. Change issue status to other state

Right after the status change, the file listed at Files section, is removed, and the error above is printed on browser console.

Related issues:

Related to Redmine - Defect #34641: When editing an issue, the Log time and/o... Closed

Copied from Redmine - Defect #36909: Mentions not working if status is changed Closed

Associated revisions

Revision 21578 - 2022-05-16 21:38 - Marius BĂLTEANU

Revert changes made to issue form update in r21495 (#37053).

Revision 21579 - 2022-05-16 21:53 - Marius BĂLTEANU

Add test for #37053.

Revision 21580 - 2022-05-16 22:01 - Marius BĂLTEANU

Fix that newly added attachments are lost when the status of the ticket is changed by hiding/showing the fields without removing them (#37053).

Revision 21581 - 2022-05-16 23:29 - Marius BĂLTEANU

Merged r21578-r21580 to 5.0-stable (#37053).

History

#1 - 2022-04-28 07:45 - Marius BĂLTEANU

- Copied from Defect #36909: Mentions not working if status is changed added

#2 - 2022-05-15 14:45 - Marius BĂLTEANU

This is caused by #34641.

#3 - 2022-05-15 14:45 - Marius BĂLTEANU

- Related to Defect #34641: When editing an issue, the Log time and/or Add notes does not show or hide dynamically added

#4 - 2022-05-16 22:02 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fix committed with a test.
#5 - 2022-05-16 23:30 - Marius BĂLTEANU

- Status changed from Resolved to Closed
